<?php
require_once './services/api_config.php';
// Initialize a global cURL handle
$globalCurlHandle = curl_init();

// Function to make cURL requests with timeout
function makeCurlRequest($url, $branchId) {
    global $globalCurlHandle;
    // Reset cURL handle to reuse it
    curl_reset($globalCurlHandle);
    // Set the URL with branchId
    $urlWithParams = $url . '?branchid=' . $branchId;
    curl_setopt($globalCurlHandle, CURLOPT_URL, $urlWithParams);
    // cURL options with the authorization header
    curl_setopt($globalCurlHandle, CURLOPT_HTTPHEADER, [
        'Content-Type: application/json',
        'Auth: ' . API_AUTH_HEADER
    ]);

    // Set a timeout for the cURL request (e.g., 10 seconds)
    curl_setopt($globalCurlHandle, CURLOPT_TIMEOUT, 10);

    // Return the cURL handle
    return $globalCurlHandle;
}

// Function to fetch data from the API
function fetchDataFromAPI($url, $branchId) {
    $ch = makeCurlRequest($url, $branchId);

    // Execute the cURL request
    $response = curl_exec($ch);

    // Check for cURL errors
    if (curl_errno($ch)) {
        // Handle cURL error, e.g., display a user-friendly message
        echo 'Error fetching data: ' . curl_error($ch);
        // Optionally, redirect to a page with a "Try Again" message
        header("Location: no_internet.php");
        exit;
    }

    // Decode the JSON response
    $data = json_decode($response, true);

    // Check for JSON decoding errors
    if ($data === null && json_last_error() !== JSON_ERROR_NONE) {
        // Handle JSON decoding error, e.g., log the error
        die('Error decoding JSON: ' . json_last_error_msg());
    }

    // Return the decoded data
    return $data;
}

// Usage examples:
?>
