<?php
include "includes/header.php";
include "check_login.php";
?>

<body>
    <!-- Page Preloder -->
    <div id="preloder">
        <div class="loader"></div>
    </div>


    <?php
    include "includes/head.php";
    ?>

    <!-- Hero Section Begin -->
    <section class="hero hero-normal">
        <div class="container">
            <div class="row">
                <div class="col-lg-3">
                    <?php
                    include "sections/categories.php";
                    ?>
                </div>
                <div class="col-lg-9">
                    <?php
                    include "sections/search.php";
                    ?>
                </div>
            </div>
        </div>
    </section>
    <!-- Hero Section End -->

    <!-- Breadcrumb Section Begin -->
    <section class="">
        <div class="container">
            <div class="row">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a style="color: black !important;" href="./index.php" onmouseover="this.style.color='#225d2d'" onmouseout="this.style.color='black'">Home</a></li>
                        <li class="breadcrumb-item"><a style="color:#1877F2 !important;" href="#"> <b>My Oders</b> </a></li>
                    </ol>
                </nav>

            </div>

            <div class="d-flex justify-content-between">
                <h5 class="mb-0"> <b> Total Orders - <span id="order-count-badge" class="cart-count-badge"> 0 </span></b></h5>

                <button type="button" class="btn custom-button2">
                    <i class="fa fa-search"></i> Search Order
                </button>
            </div>

        </div>
    </section>
    <!-- Breadcrumb Section End -->

    <!-- Shoping Cart Section Begin -->
    <section class="shoping-cart spad">
        <div class="container" style="background-color: #eee;">
            <div class="row">
                <div class="col-lg-12">
                    <div class="table-responsive">
                        <table class="table table-striped">
                            <thead>
                                <tr>
                                    <th>Order ID</th>
                                    <th>Date</th>
                                    <th>Status</th>
                                    <th>Total</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody id="orderTableBody">
                                <!-- Order data will be inserted here dynamically -->
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Shoping Cart Section End -->

    <!-- Footer Section Begin -->
    <?php
    include "includes/footer.php";
    ?>
    <!-- Footer Section End -->

    <script>
        $(document).ready(function() {
            fetchOrders();

            $('.custom-button2').click(function() {
                // Redirect to trackorder.php when the button is clicked
                window.location.href = 'trackorder.php';
            });
        });

        function fetchOrders() {
            var fetchOrderUrl = 'functions/orders.php?userid=<?php echo $userid; ?>&branchid=<?php echo $branchid; ?>';

            var orderTableBody = $('#orderTableBody');
            orderTableBody.empty(); // Clear existing data




            orderTableBody.html('<tr><td colspan="5"><i class="fa fa-spinner fa-spin fa-3x"></td></tr>');



            $.ajax({
                type: 'GET',
                url: fetchOrderUrl,
                dataType: 'json',
                success: function(data) {
                    if (data.length > 0) {
                        updateOrdersData(data);
                        $('#order-count-badge').text(data.length);
                    } else {

                        // Handle case when no orders are returned
                        orderTableBody.empty();
                        var noOrderMessage = '<tr><td colspan="5">' +
                            '<img src="img/norders.png" width="300" alt="No Order">' +
                            '<h4 class="mb-3 mt-4">No recent orders found. Start your shopping now!</h4>' +
                            '<button class="btn btn-lg btn-main" onclick="location.href=\'index.php\'">Go Shopping</button>' +
                            '</td></tr>';
                        orderTableBody.html(noOrderMessage);


                    }

                },
                error: function(error) {
                    // console.error('Error fetching orders:', error);
                    // Handle error case
                }
            });
        }

        function numberWithCommas(x) {
            return x.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
        }

        function updateOrdersData(data) {
            var orderTableBody = $('#orderTableBody');
            orderTableBody.empty(); // Clear existing data



            $.each(data, function(index, order) {
                // Format the total amount with currency symbol
                var formattedTotal = 'Ksh ' + numberWithCommas(order.Total);

                var buttonHtml = '';
                var statusButton = '';

                if (order.Delivered === 1) {
                    // If the order is delivered, show 'Show' button
                    buttonHtml = '<td>' +
                        '<button class="btn custom-button btn-md" onclick="showOrder(' + order.OrderID + ')">View</button>' +
                        '</td>';

                    statusButton = '<td>' +
                        '<button class="btn btn-sm btn-success">Delivered</button>' +
                        '</td>';
                } else {
                    // If the order is processing, show 'Track' button
                    buttonHtml = '<td>' +
                        '<button class="btn custom-button btn-md" onclick="trackOrder(' + order.OrderID + ')">Track</button>' +
                        '</td>';

                    statusButton = '<td>' +
                        '<button class="btn btn-secondary btn-sm">Processing</button>' +
                        '</td>';
                }

                var row = '<tr>' +
                    '<td>' +
                    '<h5>' + order.OrderID + '</h5>' +
                    '</td>' +
                    '<td>' +
                    order.Date +
                    '</td>' +
                    statusButton +
                    '<td>' +
                    '' + formattedTotal +
                    '</td>' +
                    buttonHtml +
                    '</tr>';

                orderTableBody.append(row);
            });
        }



        function trackOrder(orderId) {

            window.location.href = 'trackorder.php?orderid=' + orderId;
        }

        function showOrder(orderId) {

            window.location.href = 'deliveredorders.php?orderid=' + orderId;
        }
    </script>
</body>

</html>